UUID_PARSE(3)

NAME
uuid_parse - convert an input UUID string into the libuuid internal format

SYNOPSIS
#include <uuid/uuid.h>

int uuid_parse( char *in, uuid_t uu);

DESCRIPTION
The uuid_parse function converts the UUID string given by in into the internal uuid_t format. The input UUID is a string of the form 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb (in printf(3) format "%08x-%04x-%04x-%04x-%012x", 36 bytes plus the trailing '\0').

RETURN VALUE
Upon successfully parsing the input string, 0 is returned, and the UUID is stored in the location pointed to by uu, otherwise -1 is returned.

CONFORMING TO
OSF DCE 1.1

AUTHOR
uuid_parse was written by Theodore Y. Ts'o for the ext2 filesystem utilties.

AVAILABILITY
uuid_parse is part of libuuid from the e2fsprogs package and is available from http://e2fsprogs.sourceforge.net.

SEE ALSO
libuuid(3), uuid_clear(3), uuid_compare(3), uuid_copy(3), uuid_generate(3), uuid_is_null(3), uuid_time(3), uuid_unparse(3)